//#-hidden-code
// Copyright (C) 2016 Parrot SA
//
//    Redistribution and use in source and binary forms, with or without
//    modification, are permitted provided that the following conditions
//    are met:
//    * Redistributions of source code must retain the above copyright
//      notice, this list of conditions and the following disclaimer.
//    * Redistributions in binary form must reproduce the above copyright
//      notice, this list of conditions and the following disclaimer in
//      the documentation and/or other materials provided with the
//      distribution.
//    * Neither the name of Parrot nor the names
//      of its contributors may be used to endorse or promote products
//      derived from this software without specific prior written
//      permission.
//
//    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
//    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
//    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//    FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
//    COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
//    INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
//    BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
//    OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
//    AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
//    OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
//    OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
//    SUCH DAMAGE.
//
//  Created by Nicolas CHRISTE, <nicolas.christe@parrot.com>
//  Translation by Matthieu DEJEAN <matthieu.dejean@gmail.com> for Parrot Education

import UIKit
import PlaygroundSupport

//#-code-completion(identifier, hide, liveViewProxy, controller, DroneController, DroneLandController, DroneControllerDelegate, DroneViewController, LiveViewProxy)

//#-end-hidden-code
//: # Connectez votre drone.
//: 
//: Avant tout, vous devez choisir le Minidrone que vous voulez utiliser.
//: Pour cela, vous devez définir la variable "myDroneName" avec le nom de votre drone. Vous pouvez le trouver en utilisant l'application **"FreeFlight Mini"**.
//: Ce nom sera utilisé dans toutes les pages de cette activité.
myDroneName = /*#-editable-code*/"Mambo_020826"/*#-end-editable-code*/
//#-hidden-code

let drone = Drone(name: myDroneName)
let liveViewProxy =  LiveViewProxy()
drone.controller.delegate = liveViewProxy

//#-end-hidden-code
//: Maintenant nous pouvons vérifier la connexion à votre drone. Le code ci-dessous va le connecter, faire décoller, puis atterrir. Allumez votre drone et appuyez sur le bouton "Run My Code".

drone.connect()
drone.takeOff()
drone.land()

//: Il est désormais temps d'avancer à la page suivante ! Vous pouvez revenir ici à n'importe quel moment si vous devez changer le nom du drone utilisé dans ce playground (sans oublier de presser le bouton "Run My Code" à chaque fois que vous changerez le nom).
